local fn = _gn(0x142A02425FF02BD9)
--- Puts the ped into the given scenario immediately at their current location. [List of scenario names](https://pastebin.com/6mrYTdQv) or in `update/update.rpf/common/data/ai/scenarios.meta`.
-- @param ped The ped handle.
-- @param scenarioName The name of the scenario to start.
-- @param timeToLeave Sets the timeout on the scenario point to the specified time in milliseconds. If less than 0, sets the `IdleForever` flag.
-- @param playIntroClip If the ped should play the scenarios enter animation. Sets the `SkipEnterClip` flag.
function Global.TaskStartScenarioInPlace(ped, scenarioName, timeToLeave, playIntroClip)
	return fn(ped, _ts(scenarioName), timeToLeave, playIntroClip)
end
